# Generated by Django 4.1.10 on 2024-01-19 11:15

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0015_alter_electionshomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="electionshomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na mobilu i desktopu.",
                                        label="Obrázek na pozadí",
                                    ),
                                ),
                                (
                                    "preview_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Obrázek, který se bude ukazovat při načítání nebo nedostupnosti videa.",
                                        label="Preview obrázek",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="URL videa",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popis"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "secondary_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                ("heading", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.CharBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "elections.ElectionsCandidatePage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "number",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Číslo"
                                                    ),
                                                ),
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "points",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.TextBlock(
                                                                        label="Obsah"
                                                                    ),
                                                                )
                                                            ]
                                                        ),
                                                        label="Body",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie",
                                    ),
                                ),
                                (
                                    "long_version_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pro zobrazení odkazu na celou verzi programu musí být obě následující pole vyplněná.",
                                        label="Odkaz na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                                (
                                    "long_version_text",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis odkazu na celou verzi programu",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/elections/articles_section.html",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
